Skip to content

Get signed url

POST
/merchants/{merchantCode}/imports/{importRef}/urls
curl --request POST \
--url https://import.shopgate.io/v1/merchants/example/imports/example/urls \
--header 'Content-Type: application/json' \
--data '{ "catalogCode": "example", "entity": "product", "importStrategy": "full", "locationCodes": [ "example" ], "operation": "upload" }'

Get a signed URL for file

merchantCode
required
string
importRef
required
string
Media typeapplication/json
object
catalogCode

Required for product and category entity as they are sub entities of a catalog

string
entity
required
string
Allowed values: product category attribute inventory customer segment segmentMember
importStrategy
string
default: full
Allowed values: full partial
locationCodes

Optional for an inventory import with strategy ‘full’. It performs a full import only for the given locations.

Array<string>
operation
string
default: upload
Allowed values: upload download

New URL created

Media typeapplication/json
object
url
string
Example
{
"url": "https://some.url"
}

Forbidden error

Media typeapplication/json
object
code
required
string
message
required
string
Example
{
"code": "Forbidden",
"message": "No access to merchant 1"
}